#!/usr/bin/python

import subprocess

from charmhelpers.core.hookenv import (
    config,
)

from charmhelpers.contrib.charmsupport.nrpe import NRPE
from charmhelpers.core import host


def install_package(service_name):
    conf = config()
    open("/etc/anope/services.motd", "w").write(conf['motd'])

    nrpe_compat = NRPE()
    nrpe_compat.add_check(
        shortname="anope",
        description="Check anope",
        check_cmd='/usr/lib/nagios/plugins/check_anope',
    )
    nrpe_compat.write()


def anope_reload(service_name):
    # see http://bugs.debian.org/783183
    # reload silently fails and returns success if the daemon is not running.
    if host.service_running('anope'):
        host.service_reload('anope', restart_on_failure=True)
    else:
        host.service_start('anope')


def enable_apparmor_profile(service_name):
    if subprocess.call(['/bin/running-in-container']) != 0:
        subprocess.call(["apparmor_parser", "-r", "/etc/apparmor.d/usr.sbin.anope"])
